Skip to main content
POST
/
core
/
v3
/
entity-groups
Create an entity group
curl --request POST \
  --url https://api-{region}.sesametime.com/core/v3/entity-groups \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "groupId": "<string>",
  "parentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "<string>",
  "showGroup": true,
  "costCenter": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

API token obtained from Sesame HR Dashboard > Settings > Integrations > API

Body

application/json

Entity group object to be created

name
string
required

The name of the group

groupId
string

The Id of the group for business use

parentId
string<uuid>

The Id of the group parent, null if has no parent

description
string

A description for the group

showGroup
boolean

Whether the group should be visible in the interface

costCenter
boolean

If the group acts as a cost center

Response

200 - application/json

Object

id
string<uuid>